## porechop 0.2.4+dfsg

=== Makefile ===
# This makefile will build the C++ components of Porechop.

# Example commands:
#   make (build in release mode)
#   make debug (build in debug mode)
#   make clean (deletes *.o files, which aren't required to run the aligner)
#   make distclean (deletes *.o files and the *.so file, which is required to run the aligner)
#   make CXX=g++-5 (build with a particular compiler)
#   make CXXFLAGS="-Werror -g3" (build with particular compiler flags)


# CXX and CXXFLAGS can be overridden by the user.
CXX         ?= g++
CXXFLAGS    ?= -Wall -Wextra -pedantic -mtune=native

# These flags are required for the build to work.
FLAGS        = -std=c++14 -Iporechop/include -fPIC
LDFLAGS      = -shared

# Different debug/optimisation levels for debug/release builds.
DEBUGFLAGS   = -DSEQAN_ENABLE_DEBUG=1 -g
RELEASEFLAGS = -O3 -D NDEBUG

TARGET       = porechop/cpp_functions.so
SHELL        = /bin/sh
SOURCES      = $(shell find porechop -name "*.cpp")
HEADERS      = $(shell find porechop -name "*.h")
OBJECTS      = $(SOURCES:.cpp=.o)

# Linux needs '-soname' while Mac needs '-install_name'
PLATFORM     = $(shell uname)
ifeq ($(PLATFORM), Darwin)
SONAME       = -install_name
else
SONAME       = -soname
endif

.PHONY: release
release: FLAGS+=$(RELEASEFLAGS)
release: $(TARGET)

.PHONY: debug
debug: FLAGS+=$(DEBUGFLAGS)
debug: $(TARGET)

$(TARGET): $(OBJECTS)
	$(CXX) $(FLAGS) $(CXXFLAGS) $(LDFLAGS) -Wl,$(SONAME),$(TARGET) -o $(TARGET) $(OBJECTS)

clean:
	$(RM) $(OBJECTS)

distclean: clean
	$(RM) $(TARGET)

%.o: %.cpp $(HEADERS)
	$(CXX) $(FLAGS) $(CXXFLAGS) -c -o $@ $<

=== debian/changelog ===
porechop (0.2.4+dfsg-4) unstable; urgency=medium

  * Team upload
  * Raising Standards version to 4.6.1 (no change)
  * Solving the error during clean phase linked to setuptools--distutils
    (Closes: #1021837)
  * Fixing d/watch after a change in Github layout

 -- Pierre Gruet <pgt@debian.org>  Tue, 18 Oct 2022 10:56:47 +0200

porechop (0.2.4+dfsg-3) unstable; urgency=medium

  * Fix watchfile to detect new versions on github
  * Standards-Version: 4.6.0 (routine-update)

 -- Andreas Tille <tille@debian.org>  Thu, 14 Oct 2021 08:29:28 +0200

porechop (0.2.4+dfsg-2) unstable; urgency=medium

  * Standards-Version: 4.5.1 (routine-update)
  * debhelper-compat 13 (routine-update)
  * autopkgtest: s/ADTTMP/AUTOPKGTEST_TMP/g (routine-update)
  * Add salsa-ci file (routine-update)
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Mark autopkgtest superficial

 -- Andreas Tille <tille@debian.org>  Thu, 26 Nov 2020 13:27:22 +0100

porechop (0.2.4+dfsg-1) unstable; urgency=medium

  * Team upload.

  * New upstream version.

 -- Steffen Moeller <moeller@debian.org>  Tue, 23 Oct 2018 13:53:48 +0200

porechop (0.2.3+dfsg-3) unstable; urgency=medium

  * Team upload.
  * Add patch to fix FTBFS in the clean target.  Closes: #909761

 -- Mattia Rizzolo <mattia@debian.org>  Fri, 28 Sep 2018 12:11:40 +0200

porechop (0.2.3+dfsg-2) unstable; urgency=medium

  * Team upload.
  * Properly use the dh_python3 options to override its behaviour, instead
    of being clever with it.
  * Build only for the default Python3 version.
    The software can't cope with being placed in odd places, so can't use
    the multiple python version support that Debian has.
  * Build the package using pybuild.
    + Move all the files to the usual location for Python3 software.
    + Install the entry point directly in /usr/bin instead of symlinking.
    + Explicitly disable the tests (that before weren't even tried).
  * Set Rules-Requires-Root:no.

 -- Mattia Rizzolo <mattia@debian.org>  Thu, 27 Sep 2018 11:49:55 +0200

porechop (0.2.3+dfsg-1) unstable; urgency=medium

  * Initial release (Closes: #890112)

 -- Andreas Tille <tille@debian.org>  Mon, 27 Aug 2018 10:53:28 +0200

=== debian/control ===
Source: porechop
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Cédric Lood <cedric.lood@kuleuven.be>,
           Andreas Tille <tille@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               dh-python,
               libseqan2-dev,
               python3-dev,
               python3-setuptools
Standards-Version: 4.6.1
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/med-team/porechop
Vcs-Git: https://salsa.debian.org/med-team/porechop.git
Homepage: https://rrwick.github.io/Porechop

Package: porechop
Architecture: any
Depends: ${misc:Depends},
         ${python3:Depends},
         ${shlibs:Depends}
Description: adapter trimmer for Oxford Nanopore reads
 Porechop is a tool for finding and removing adapters from Oxford
 Nanopore reads. Adapters on the ends of reads are trimmed off, and
 when a read has an adapter in its middle, it is treated as chimeric
 and chopped into separate reads. Porechop performs thorough
 alignments to effectively find adapters, even at low sequence
 identity.
 Porechop also supports demultiplexing of Nanopore reads that were
 barcoded with the Native Barcoding Kit, PCR Barcoding Kit or Rapid
 Barcoding Kit.

=== debian/rules ===
#!/usr/bin/make -f

# DH_VERBOSE := 1

export DEB_BUILD_MAINT_OPTIONS=hardening=+all

# FIXME - never enabled, tests fail, to be investigated
export PYBUILD_DISABLE=test

# Workaround for https://github.com/pypa/setuptools/issues/2355, which is
# apparently a bug in setuptools that makes the clean phase fail. This
# export should be removed later...
export SETUPTOOLS_USE_DISTUTILS="stdlib"

%:
	dh $@ --with python3 --buildsystem pybuild

override_dh_python3:
	dh_python3 --no-ext-rename

override_dh_install:
	dh_install
	mv -v debian/porechop/usr/bin/porechop-runner.py debian/porechop/usr/bin/porechop

=== debian/watch ===
version=4

# github - new files
opts="repacksuffix=+dfsg,dversionmangle=s/\+dfsg//g,repack,compression=xz" \
  https://github.com/rrwick/Porechop/tags .*/v(\d[\d.-]+)\.(?:tar(?:\.gz|\.bz2)?|tgz)
